Foreman - Bug #6540

With no datacenters, error should be shown when creating VMWare compute resource
07/09/2014 06:19 AM - Dominic Cleal

Status: Closed
Priority: Normal
Assignee: Shlomi Zadok
Category: Compute resources - VMware
Target version: 1.7.2
Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: 1114860 Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/1931
Description

Cloned from https://bugzilla.redhat.com/show_bug.cqgi?id=1114860

Description of problem:

Clicking "Load Datacenters" when creating VMWare compute resource complains: "String does not start with the prefix 'encrypted-,
so Foreman::Model::Vmware VMWare-vCentre was not decrypted" and you can not save the compute resource. No error message is
displayed.

Version-Release number of selected component (if applicable):
Satellite-6.0.3-RHEL-6-20140626.1
VMware-vCenter-Server-Appliance-5.5.0.10000-1624811_0OVF10.ova + latest updates

How reproducible:
always

Steps to Reproduce:

1. Start VMware-vCenter-Server

2. Create compute profile with VMWare provider, IP adress set to vCenter server,
user "root" and password "vmware" (credentials | use to connect to "VMware
vCenter Server Appliance" webUI)

3. Click [Load Datacenters]

Actual results:
Nothing happens in webUI besides "Fingerprint" field being populated. Clicking on [Submit] do not save the compute resource

Expected results:
Either error message should appear or [Submit] should save the compute resource

Additional info:
> /var/log/foreman/production.log <
Processing by ComputeResourcesController#create as HTML

Parameters: {"utf8"=>"l", "authenticity_token"=>"<token>", "compute_resource"=>{"name"=>"VMWare-vCentre",
"provider"=>"Vmware", "description"=>"", "server"=>"<ip>", "user"=>"root", "password"=>"[FILTERED]",
"set_console_password"=>"[FILTERED]", "location_ids"=>["", "2"], "organization_ids"=>["", "1"]}, "commit"=>"Submit"}
String does not start with the prefix 'encrypted-', so Foreman::Model::Vmware VMWare-vCentre was not decrypted
String does not start with the prefix 'encrypted-', so Foreman::Model::Vmware VMWare-vCentre was not decrypted
String does not start with the prefix 'encrypted-', so Foreman::Model::Vmware VMWare-vCentre was not decrypted
Failed to save: Datacenter can't be blank

Rendered compute_resources/form/_vmware.html.erb (8.7ms)

Rendered taxonomies/_loc_org_tabs.html.erb (8.0ms)

Rendered compute_resources/_form.html.erb (333.2ms)

Rendered compute_resources/new.html.erb within layouts/application (333.8ms)

Rendered home/_submenu.html.erb (4.8ms)

Rendered home/_user_dropdown.html.erb (5.0ms)

Read fragment views/tabs_and_title_records-1 (0.1ms)

Rendered home/_organization_dropdown.html.erb (3.8ms)

Rendered home/_location_dropdown.html.erb (3.0ms)
Rendered home/_org_switcher.html.erb (7.4ms)
Rendered home/_submenu.html.erb (3.9ms)
Rendered home/_submenu.html.erb (3.9ms)
Rendered home/_submenu.html.erb (4.4ms)
Rendered home/_submenu.html.erb (3.0ms)
Rendered home/_submenu.html.erb (2.8ms)
Rendered home/_submenu.html.erb (4.2ms)
Write fragment views/tabs_and_title_records-1 (1.5ms)

Rendered home/_topbar.html.erb (46.2ms)

Rendered layouts/base.html.erb (47.8ms)

Completed 200 OK in 411ms (Views: 382.2ms | ActiveRecord: 4.3ms)

Associated revisions

Revision ebac69ce - 12/28/2014 09:34 AM - Shlomi Zadok

fixes #6540, #8335 - Add error to vmware when no datacenter, save password when testing connection

Revision fa7403af - 01/27/2015 10:50 AM - Shlomi Zadok

fixes #6540, #8335 - Add error to vmware when no datacenter, save password when testing connection

(cherry picked from commit ebac69ceab851c6124d9fc167b3d58f8c559¢e1ae)

History

#1 - 07/09/2014 06:20 AM - Dominic Cleal
- Category set to Compute resources

- Assignee deleted (Dominic Cleal)

#2 - 09/26/2014 07:03 AM - Dominic Cleal

- Category changed from Compute resources to Compute resources - VMware

#3 - 11/13/2014 04:17 AM - The Foreman Bot
- Status changed from New to Ready For Testing
- Pull request https://github.com/theforeman/foreman/pull/1931 added

#4 - 11/13/2014 04:19 AM - Shlomi Zadok

- Assignee set to Shlomi Zadok

#5 - 12/28/2014 10:01 AM - Shlomi Zadok
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset ebac69ceab851c6124d9fc167b3d58f8c559e1ae.

#6 - 01/02/2015 03:33 AM - Dominic Cleal

- translation missing: en.field_release set to 30
